import { motion, type HTMLMotionProps } from "motion/react";
import clsx, { type ClassValue } from "clsx";

import classes from "./GlassSurface.module.css";

type Props = Omit<HTMLMotionProps<"div">, "className"> & {
  className?: ClassValue;
};

export default function GlassSurface(props: Props) {
  return <motion.div {...props} className={clsx(classes.glassSurface, props.className)} />;
}

export function GlassSurfaceContent(props: Props) {
  return <motion.div {...props} className={clsx(classes.glassSurfaceContent, props.className)} />;
}
